#!/usr/bin/env ruby
#
# amaroK Script for fetching song lyrics from http://lyrc.com.ar.
# Ported from amaroK's contextbrowser.cpp.
# ƂɂB
#
# (c) 2006 Mark Kretschmann <markey@web.de>
# (c) 2004 Christian Muehlhaeuser <chris@chris.de>
# (c) 2005 Reigo Reinmets <xatax@hot.ee>
# (c) 2005 Alexandre Pereira de Oliveira <aleprj@gmail.com>
# (c) 2007 NiG <nig@sky.707.to>
#
# License: GNU General Public License V2

require "net/http"
require "uri"

@app_name = "msn_send"

def send_msn_msgr( message )

    host = "vmhost"
    path = "/cgi-bin/msn.exe?#{URI.encode(message)}"

    proxy_host = nil
    proxy_port = nil
    if ( @proxy == nil )
        @proxy = `dcop amarok script proxyForProtocol http`
    end
    proxy_uri = URI.parse( @proxy )
    if ( proxy_uri.class != URI::Generic )
        proxy_host = proxy_uri.host
        proxy_port = proxy_uri.port
    end

    h = Net::HTTP.new( host, 80, proxy_host, proxy_port )
    h.get( path )
end


##################################################################
# MAIN
##################################################################


loop do
    message = gets().chomp()
    command = /[A-Za-z :]*/.match( message ).to_s()
    case command
        when "configure"
            msg  = 'This script does not require any configuration.'
           `dcop amarok playlist popupMessage "#{msg}"`

        when "engineStateChange: playing" , "trackChange"
            artist = `dcop amarok player artist`.chomp
            title  = `dcop amarok player title`.chomp

            send_msn_msgr( "#{title} - #{artist}" )

        when "engineStateChange: empty" , "engineStateChange: paused"
            send_msn_msgr( "" )
    end
end

